%define lang_from	cz
%define lang_to		en
%define filedate	20041216
%define namesuffix	%{lang_from}%{lang_to}
%define license		GPL, FDL
%define summary_prefix	Czech - English
%define descr_prefix	%{summary_prefix}
%define src		http://slovnik.zcu.cz/%{lang_from}%{lang_to}-%{filedate}.tar.bz2
%define dict_filename	%{namesuffix}

%define summ_desc_suf	Czech - English dictionary for dictd

%define summary		%{summary_prefix} %{summ_desc_suf}
%define descr		%{descr_prefix} %{summ_desc_suf}
%define name		dictd-dicts-%{namesuffix}
%define version         %{filedate}
%define release         1mdk
%define group           Databases

%define __dictzip       %(which dictzip)
%define dictd_name      dictd
%define dictd_version   1.9.1

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	%{license}
Group:		%{group}
Source:		%{src}
Packager:	Zdenko Podobny
URL:		http://slovnik.zcu.cz/
Provides:	dictd-dicts-%{namesuffix}, dictd-dicts-%{namesuffix}
Obsoletes:	dictd-dicts-%{namesuffix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	%{dictd_name} >= %{dictd_version}
Provides:	dictd-dictionary, dictd-dictionaries
Requires:	%{dictd_name} >= %{dictd_version}

%description
Czech-English dictionary, (c) 2001,2002 Milan Svoboda
#Česko-anglický slovník, (c) 2001,2002 Milan Svoboda


%prep
%setup -c -q

%build
# dictzip the dict dictionary file, if it's not yet zipped
if ls *.dict >/dev/null 2>&1; then
	dictzip *.dict
fi

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/dict
cp %{dict_filename}*dict* %{buildroot}%{_datadir}/dict
cp %{dict_filename}*index* %{buildroot}%{_datadir}/dict

%clean
%{__rm} -rf %{buildroot}

%post
printf "database %%-10s\t{ data \"%{_datadir}/dict/%{dict_filename}.dict.dz\"\n" %{dict_filename} >> %{_sysconfdir}/dictd.conf
printf "\t\t\t  index \"%{_datadir}/dict/%{dict_filename}.index\" }\n" >> %{_sysconfdir}/dictd.conf
echo "Restarting dictd-server, because configuration has been changed..."
service dictd-server reload

%postun
tempfile=$(mktemp /tmp/%{name}.dictd.conf.XXXXXX)
cat %{_sysconfdir}/dictd.conf \
	| sed -e '/^database.*%{dict_filename}/d' \
	| sed -e '/^[	].*index.*%{dict_filename}/d' \
	> $tempfile
cat ${tempfile} > %{_sysconfdir}/dictd.conf
%{__rm} -f ${tempfile}
echo "Restarting dictd-server, because configuration has been changed..."
service dictd-server reload

%files
%defattr(644, root, root)
%{_datadir}/dict/%{dict_filename}*dict*
%{_datadir}/dict/%{dict_filename}*index*

%changelog
* Sat Dec 17 2004 Zdenko Podobny <zdpo@mailbox.sk> 20041216-1mdk
- Update to actual data

* Sun Jul 25 2004 Zdenko Podobny <zdpo@mailbox.sk> 20040723-1mdk
- Update to actual data

* Thu Mar 4 2004 Zdenko Podobny <zdpo@mailbox.sk> 20040304-1mdk
- First release for MandrakeLinux
- Loosely based upon the dictd-dicts-cze-eng.spec by 
  Alexander Skwar <ASkwar@DigitalProjects.com>

